net.minecraftforge.client.event.sound

## Class PlaySoundEvent

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.client.event.sound.SoundEvent
    - - net.minecraftforge.client.event.sound.SoundResultEvent
      - - net.minecraftforge.client.event.sound.PlaySoundEvent

- Deprecated.

      @Deprecated
      public class PlaySoundEvent
      extends SoundResultEvent

  Raised when the SoundManager tries to play a normal sound. If you return null from this function it will prevent the sound from being played, you can return a different entry if you want to change the sound being played.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraftforge.client.event.sound.SoundEvent

      `SoundEvent.SoundSourceEvent`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `x` Deprecated.
    `float` | `y` Deprecated.
    `float` | `z` Deprecated.

    - ### Fields inherited from class net.minecraftforge.client.event.sound.SoundResultEvent

      `manager, name, pitch, result, source, volume`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlaySoundEvent(SoundManager manager, SoundPoolEntry source, java.lang.String name, float x, float y, float z, float volume, float pitch)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class net.minecraftforge.client.event.sound.SoundEvent

      `getResult`

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### x

          public final float x

      Deprecated.

    - #### y

          public final float y

      Deprecated.

    - #### z

          public final float z

      Deprecated.

  - ### Constructor Detail

    - #### PlaySoundEvent

          public PlaySoundEvent(SoundManager manager,
                        SoundPoolEntry source,
                        java.lang.String name,
                        float x,
                        float y,
                        float z,
                        float volume,
                        float pitch)

      Deprecated.